### Name: Mode
### Title: Approximating the mode by least-squares method
### Aliases: Mode ModeC ModeMain ModeAll WRComp
### Keywords: manip

### ** Examples

    # Albarede (1995) - page 7
    # Calculate WRComposition of olivine gabbro containing 40 % olivine,
    # 30 % diopside and 30 % plagioclase. 

    mins<-matrix(c(40.01,0.00,14.35,45.64,0.00,0.00,54.69,0.00,3.27,16.51,
            25.52,0.00,48.07,33.37,0.00,0.00,16.31,2.25),3,6,byrow=TRUE)
    rownames(mins)<-c("ol","di","plg")
    colnames(mins)<-c("SiO2","Al2O3","FeO","MgO","CaO","Na2O")
    print(mins)

    # Direct task
    f<-c(0.4,0.3,0.3)
    names(f)<-c("ol","di","plg")
    print(f)

    rock<-WRComp(mins,f)
    print(rock)

    # Reverse unconstrained 
    mode1<-Mode(rock,mins)
    
    # Reverse constrained
    mode2<-ModeC(rock,mins)



