### Name: as.go
### Title: Functions to create and combine graphic data objects
### Aliases: as.go as.go.0 as.pgo as.lgo cgo cpgo clgo clgo.0 ngo.0
###   legend.go plotGo plotGo.0 is.cpgo is.clgo is.lgo is.pgo
### Keywords: aplot internal

### ** Examples

## Not run: 
##D # create some data
##D x1 <- runif(10,0,10)
##D y1 <- runif(10,0,10)
##D x2 <- runif(10,5,15)
##D y2 <- runif(10,5,15)
##D # create two groups of data
##D xy1 <- as.pgo(x1,y1,col="red", pch=16, label="Group A")
##D xy2 <- as.pgo(x2,y2, col="blue", pch=17, label="Group B")
##D # combine as a graphic object and plot
##D xy <- as.go(cpgo(xy1, xy2),xlab="X", ylab="Y")
##D plot(xy)
##D # change the colours of points and redraw
##D xy$pset(col=c("yellow","green"))
##D plot(xy)
##D 
##D 
##D # some more data
##D a <- 0:360*pi/180
##D ys <-sin(a*a)
##D yc <-cos(a)
##D y2 <- ys+yc+5
##D # create three line graphic objects
##D sw <- as.lgo(a,ys,col="green", label="Sine(a^2)")
##D cw <- as.lgo(a,yc, col="red", lty="dotted", label="Cos(a)")
##D yw <- as.lgo(a,y2,col="blue",label="Cos(a) + Sin(a^2)")
##D # combine  into a graphic object
##D lp <- as.go(lines=clgo(sw,cw,yw),xlab="radians", ylab="amplitude")
##D # plot the result
##D plot(lp)
##D 
##D # combine the point and line data and plot
##D xylp <- cgo(xy, lp)
##D plot(xylp,xlab=\"x\", ylab=\"y\")
## End(Not run)



