### Name: calcAnomaly
### Title: Anomaly on a spiderplot
### Aliases: calcAnomaly
### Keywords: dplot

### ** Examples

    data(blatna)
    accessVar("blatna")
    
    calcAnomaly() # Eu anomaly on chondrite-normalized REE plot after Boynton (1984) 

    # Nb anomaly, Nb/Nb*, based on immobile NMORB spiderplot after Pearce (1984)
    NbNb<-calcAnomaly(which.elem="Nb",dataset=WR,
        ref="^NMORB immobile",left="Th",right="La")     
    WR<-addOn("Nb/Nb*",as.vector(NbNb),where=WR) # Append to the current data set



