### Name: figMulti
### Title: Figaro: Multiple plot by groups
### Aliases: figMulti
### Keywords: hplot

### ** Examples

    data(blatna)
    accessVar("blatna")
    groupsByLabel("Suite")
    # Note that groups should have been defined before running these examples. 

    # switching on the field names (default, valid globally for the whole system)
    options("gcd.plot.text"=TRUE)
    plotDiagram("TAS",FALSE)

    # switching off the field names (temporarily, for the given plot)
    plotDiagram("LarochePlut",FALSE)
    figRemove()
    figMulti(col="black",pch="*",cex=3)

    # spiders
    spider(WR,"Boynton",0.1,1000,cex=2,col="red")
    figMulti(plot.symb=TRUE)
    plateCexLab(1.3)

    spider(WR,"Boynton",0.1,1000,col="red",xrotate=FALSE,offset=TRUE)
    figMulti(plot.symb=FALSE)
    plateCexLab(1.3)

    spider(WR,"Boynton",0.1,1000,xrotate=TRUE,offset=TRUE)
    figMulti(plot.symb=FALSE,shaded.col="lightblue")
    plateCexLab(1.3)



