### Name: setTransparency
### Title: Setting transparency of plotting colours
### Aliases: setTransparency
### Keywords: color

### ** Examples

    data(sazava)
    accessVar("sazava")
    
    # Affects the colour of plotting symbols in the system (save=TRUE by default)
    setTransparency(transp=0.5)
    plotDiagram("TAS",FALSE)
    
    setTransparency(transp=0)
    setTransparency(which.samples=c("Sa-1","Sa-2","Sa-3"),transp=0.5)
    setTransparency(which.samples=c("Sa-1","Sa-2","Sa-3"),alpha="6a")
    plotDiagram("TAS",FALSE)
    figCex(2)
    
    # No labels assigned
    setTransparency(col=2,transp=0.5,save=FALSE)
    setTransparency(col=c("blue","red"),transp=0.5,save=FALSE)



