### Name: spider2norm
### Title: Spider plot(s): Selected samples, double normalized
### Aliases: spider_double_norm.r spider2norm
### Keywords: hplot

### ** Examples

    data(blatna)
    accessVar("blatna")
    
    ee<-spider2norm(WR,"Boynton","Yb",0.1,1000,pch="*",col="red",cex=2) 
    # the ee<- construction redirects the textual output

    ee<-spider2norm(WR,"Boynton","Yb",field=TRUE,density=0.05,angle=60,col="red",0.1,1000)

    ee<-spider2norm(WR,"Boynton","Yb",field=TRUE,fill.col=TRUE,shaded.col="khaki",0.1,1000)

    # Shade the background field portraying the overall variation 
    ee<-spider2norm(WR,"Boynton","Lu",0.1,1000)
    ee<-spider2norm(WR,"Boynton","Lu",field=TRUE,density=0.02,angle=45,col="gray",add=TRUE)

    # Shade the background field portraying the overall variation 
    ee<-spider2norm(WR,"Boynton","Lu",0.1,1000)
    ee<-spider2norm(WR,"Boynton","Lu",field=TRUE,fill.col=TRUE,shaded.col="gray",add=TRUE)

    # Possible styles for x axis
    multiplePerPage(8,nrow=2,ncol=4,"Possible x axis styles", dummy=FALSEALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        col=labels$Colour, cex=labels$Size, offset=FALSE, xrotate=FALSE, centered=FALSE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        col=labels$Colour, cex=labels$Size, offset=FALSE, xrotate=TRUE, centered=FALSE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=FALSE, xrotate=FALSE, centered=TRUE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=FALSE, xrotate=TRUE, centered=TRUE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=TRUE, xrotate=FALSE, centered=FALSE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=TRUE, xrotate=TRUE, centered=FALSE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=TRUE, xrotate=FALSE, centered=TRUE,new=FALSE)
    ee<-spider2norm(WR, "Boynton","Yb", 0.1, 1000, 
        offset=TRUE, xrotate=TRUE, centered=TRUE,new=FALSE)
    plateCexLab(1.5)
    plateRedraw()
    
    spider2norm(WR,"Boynton","Yb",plot=FALSE) # Calculation only



